# Shipment ## Batch Quick Rate - [POST /api/shipment/batch/quick_rate](https://docs.shipsaving.com/v2/openapi/shipment/batchquickrate.md): This endpoint allows you to quickly retrieve shipment rate quotes by providing the from_address_data, to_address_data, package_data and the ship_date. Each API call can include up to 10 individual rate requests. Previously, this endpoint only returned rates for USPS Ground Advantage. With the new update, you may optionally specify additional carriers and service levels using the shipment_rate_carrier_data field. A detailed explanation of how to use this parameter can be found in the request schema. - If shipment_rate_carrier_data is omitted: The system will return rates only for USPS Ground Advantage (default behavior). - If shipment_rate_carrier_data is provided: The system will return rates only for the specified provider(s) and service level(s). Multiple combinations may be sent in a single request. ## Get Rates - [POST /api/shipment/get_rates](https://docs.shipsaving.com/v2/openapi/shipment/getrates.md): Retrieves shipping rates from all active carriers and service levels under your account, optionally filtered by specified carriers and service levels, and returns results sorted by fastest, cheapest, and other criteria along with any applicable error information. ## Buy Label - [POST /api/shipment/create_and_pay](https://docs.shipsaving.com/v2/openapi/shipment/createandpay.md): Creates and pays for a shipment label using the rate_id obtained from a prior get_rates call. This endpoint also allows purchasing shipment insurance in the same request (insurance cannot be purchased separately). To prevent duplicate purchases caused by network fluctuations or retries, the API checks ether a shipment already exists under the specified platform_uk_id. - If a related shipment is found, the existing shipment information will be returned, and the duplicate_label field in the response will be set to true. - If no shipment exists, a new shipment will be created as normal, and the duplicate_label field will be false. ## Directly Buy Label - [POST /api/shipment/direct_buy](https://docs.shipsaving.com/v2/openapi/shipment/directbuy.md): Creates and purchases a shipment label in a single step without calling get_rates separately. This endpoint currently supports USPS Returns service levels. See the Appendix for the full list of supported values. To prevent duplicate purchases caused by network fluctuations or retries, the API checks ether a shipment already exists under the specified platform_uk_id. - If a related shipment is found, the existing shipment information will be returned, and the duplicate_label field in the response will be set to true. - If no shipment exists, a new shipment will be created as normal, and the duplicate_label field will be false. ## Void Label - [POST /api/shipment/void_label](https://docs.shipsaving.com/v2/openapi/shipment/voidlabel.md): This endpoint allows voiding label by providing either shipment_no or platform_uk_id. Only one parameter is required to uniquely identify a shipment. ## Query Insurance Rate - [GET /api/shipment/insurance/rate](https://docs.shipsaving.com/v2/openapi/shipment/paths/~1api~1shipment~1insurance~1rate/get.md)